<?php

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/

/*
 * tnef_date.php
 *
 *  Bernd Wiegmann <bernd@wib-software.de>
 *  (c) 2003 (GNU GPL - see ../../COPYING)
 *
 */

/*
 *   $Header: /var/cvs-base/overlook/plugins/outlook/attachment_tnef/tnef_date.php,v 1.1 2004/02/02 14:00:13 marco Exp $
 *
 *   $Log: tnef_date.php,v $
 *   Revision 1.1  2004/02/02 14:00:13  marco
 *   Initial revision
 *
 *   Revision 1.1  2004/01/27 15:40:05  marco
 *   Inglobato in outlook plugin attachment_tnef: da testare. Sistemazione varia di interfaccia: altezza barra navigazione printer_friendly, larghezza immagini in barra navigazione di printer_friendly e compose
 *
 *   Revision 1.1  2004/01/23 16:36:18  marco
 *   Aggiunta di plugins. Aggiunta in opzioni personali possibilita' di link a sqmadmin.
 *
 *   Revision 1.1  2003/07/31 15:24:25  bernd
 *   Complete rework of tnef decoder
 *
 *
 */

if (!defined('SM_PATH')) { define('SM_PATH','../../'); }

class TnefDate {

  var $year;
  var $month;
  var $day;
  var $hour;
  var $minute;
  var $second;

  function TnefDate() {
  }

  function setTnefBuffer($buffer) {
    $this->year = tnef_geti16($buffer);
    $this->month = tnef_geti16($buffer);
    $this->day = tnef_geti16($buffer);
    $this->hour = tnef_geti16($buffer);
    $this->minute = tnef_geti16($buffer);
    $this->second = tnef_geti16($buffer);
  }

  function getString() {
    return sprintf("%04d-%02d-%02d %02d:%02d:%02d",
		   $this->year, $this->month, $this->day, $this->hour, $this->minute, $this->second);
  }
}

?>