<?php

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/

define('SM_PATH','../../');
require_once(SM_PATH . 'include/validate.php');
require_once(SM_PATH . 'functions/global.php');
require_once(SM_PATH . 'functions/display_messages.php');
require_once(SM_PATH . 'functions/strings.php');
require_once(SM_PATH . 'functions/html.php');
require_once(SM_PATH . 'functions/forms.php');

global $max_file_addressbook_size;

sqgetGlobalVar('base_uri',  $base_uri,      SQ_SESSION);  
sqgetGlobalVar('error',  $error,      SQ_GET);  


$js='function CtrlFile() {
    if (!document.f.smusercsv.value) {
	alert("'.jsspecialchars(_("Please select a file for uploading.")).'");
	return false;
    }
    window.resizeTo(800,400);
    return true;
}';

$js = '<script language="javascript">'.$js.'</script>'; 

displayHtmlHeader( _("Addressbook"), $js );
echo '<body>'."\n";     

if ($error == 1) {
    $msg = _("Please select a regular file for uploading.");
} else if ($error == 2) {
    $msg = _("Error, could not open address file.");
} else if ($error == 3) {
    $msg = _("The rows have errors: the format is not valid!");
}

echo addForm($base_uri.'plugins/abook_import_export/address_book_import.php', 'POST', 'f', 'multipart/form-data');
addHidden('max_file_size', $max_file_addressbook_size);
?>

<TABLE CLASS="border" WIDTH="100%" BORDER="0" CELLPADDING="3" CELLSPACING="2" ALIGN="center">

<?php if ($error) { 
    echo '<script language="javascript">window.resizeTo(450,200)</script>';
?>
    <TR>
	<TD CLASS="error" VALIGN="middle" ALIGN="center" COLSPAN=2><?php echo codeHTML($msg); ?></TD>
    </TR>
<?php } ?>

   <TR>
      <TD CLASS="nav" VALIGN="middle" ALIGN="left"><?php echo codeHTML(_("CSV File")); ?>:</TD>
      <TD CLASS="nav" VALIGN="middle" ALIGN="left"><INPUT NAME="smusercsv" TYPE="file"></TD>
    </TR>
   <TR>
      <TD CLASS="nav" VALIGN="middle" ALIGN="left"><?php echo codeHTML(_("Field Separator")); ?>:</TD>
      <TD CLASS="nav" VALIGN="middle" ALIGN="left">
<?php echo addSelect('sfield', array(',',';','|'),',', FALSE); ?>
      </TD>
    </TR>
    <TR>
	<TD CLASS="nav" VALIGN="middle" ALIGN="center" COLSPAN=2>
	    <?php echo addButton(_("Import"),'','','','f','CtrlFile()'); ?>
	</TD>	
    </TR>	
</TABLE></FORM></BODY></HTML>
