<?php

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/

define('SM_PATH','../');    

require_once(SM_PATH . 'include/validate.php');
require_once(SM_PATH . 'functions/global.php');
require_once(SM_PATH . 'functions/display_messages.php');
require_once(SM_PATH . 'functions/strings.php');
require_once(SM_PATH . 'functions/html.php');
require_once(SM_PATH . 'functions/forms.php');

sqgetGlobalVar('box',              $box,              SQ_GET);
sqgetGlobalVar('base_uri',         $base_uri,         SQ_SESSION);

displayHtmlHeader( '', '' );

global $custom_css,$link_download,$demo_version;

$folder_img = '';
if (!$box) { $box='INBOX'; }
if ($box == "INBOX") {
    $folder_img = $base_uri.'images/'.$custom_css.'/mailbox-inbox.gif';
} else if ($box == "Sent") {
    $folder_img = $base_uri.'images/'.$custom_css.'/mailbox-sent.gif';
} else if ($box == "Trash") {
    $folder_img = $base_uri.'images/'.$custom_css.'/mailbox-trash.gif';
} else if ($box == "Drafts") {
    $folder_img = $base_uri.'images/'.$custom_css.'/mailbox-draft.gif';
} else { $folder_img = $base_uri.'images/'.$custom_css.'/mailbox.gif'; }
$line = '<img valign="middle" src="'.$folder_img.'" border=0>&nbsp;';

$full_name = getPref($data_dir, $username, 'full_name');    

echo '<body onload="self.focus();">'."\n";
echo "\n".'<script language="JavaScript" type="text/javascript">'."\n";
echo 'var msgremoveautologin = "'.jsspecialchars(_("Remove autologin?")).'";'."\n";
echo '</script>'."\n";

echo '<table width="100%" height="100%" border=0 cellpadding=0 cellspacing=0 valign="middle" align="left">
    <tr>
	<td height="100%" width="35%" valign="middle" class="foldersname">
	    '.$line.codeHTML($box).' 
	</td>
	<td nowrap=1 width="19%" height="100%" valign="middle" align="center" class="skinopenit">';
	if($demo_version && $link_download) {
	    echo '<A href="'.$link_download.'">'.codeHTML(_("Overlook download")).'</A>';
	} else {
	    echo '<a href="#" onClick="parent.RemoveAutologin()"><span class="skinopenit">'.codeHTML($full_name).'</span></a>';
	}
	echo '</td>
	<td align="right" height="100%" class="skinopenit" valign="middle">
	    <a onclick="window.open(\''.$base_uri.'credits/credits.html\',\'credits\',\'width=550,height=520,scrollbars=yes,resizable=yes\')" href="#">
		<span class="skinopenit">'.codeHTML("Skinned by Open It S.r.l.").'</span>
	    </a>&nbsp;&nbsp;
	</td>
    </tr>
</table></body></html>';
?>