<?php

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/

define('SM_PATH','../');    

require_once(SM_PATH . 'include/validate.php');
require_once(SM_PATH . 'functions/global.php');
require_once(SM_PATH . 'functions/strings.php');
require_once(SM_PATH . 'functions/html.php');
require_once(SM_PATH . 'functions/forms.php');

sqgetGlobalVar('base_uri',  $base_uri,      SQ_SESSION);  
sqgetGlobalVar('success',      $success,      SQ_GET); 
sqgetGlobalVar('subid',      $subid,      SQ_GET); 
sqgetGlobalVar('search',      $search,      SQ_GET); 

global $lastTargetMailbox, $reload_tree_folder_on_action;

if ( isset($success) && $success ) {
 
    $alarm = '';
 
    switch ($success)
    {
        case 'subscribe':
            $alarm .=  _("Subscribed successfully!");
            break;
        case 'unsubscribe':
            $alarm .=  _("Unsubscribed successfully!");
            break;
        case 'delete':
            $alarm .=  _("Deleted folder successfully!");
            break;
        case 'create':
            $alarm .=  _("Created folder successfully!");
            break;
        case 'rename':
            $alarm .=  _("Renamed successfully!");
            break;
        case 'subscribe-doesnotexist':
            $alarm .=  _("Subscription Unsuccessful - Folder does not exist.");
            break;
    }
}

$js = '<script language="Javascript">
    var flag_search = "'.$search.'";
    var reload_tree_folder_on_action = "'.$reload_tree_folder_on_action.'";
    var default_folder_prefix = "'.$default_folder_prefix.'";
    var imap_server_type = "'.strtolower($imap_server_type).'";
    var msgnoselectedfolder = "'.jsspecialchars(_("Please select a folder!")).'";
    var msgnoinsertednewfolder = "'.jsspecialchars(_("Insert a new name for the folder")).'";
    var msgnocorrectfoldername = "'.jsspecialchars(_("Invalid folder name: use only character from A to Z and from 0 to 9 _ - and space!")).'";
    var msgnoinsertedfolder = "'.jsspecialchars(_("Insert a name for new folder")).'";
</script>'."\n";

displayHtmlHeader(_("Move"), $js);  

echo '<script language="javascript" type="text/javascript" src="'.$base_uri.'js/move_email.js"></script>';

echo '<body onload="self.focus();">';

echo addForm('#', 'POST', 'move_email');

echo addHidden('targetMailbox', '');
echo addHidden('subfolder', '');
echo addHidden('folder_name', '');
echo addHidden('subid', '');

echo '<table width="100%" class="border" height="100%" border=1 cellpadding=2 cellspacing=0 valign="top" align="center">';
if (isset($alarm) && $alarm) {
    echo '<tr height="1%">';
        echo '<td aling="center" class="success" colspan=2>'.codeHTML($alarm).'</td>';
    echo '</tr>';
}
    echo '<tr height="1%">';
	echo '<td aling="center" class="nav" colspan=2>';
	    echo codeHTML(_("Move Selected Messages To:"));
	echo '</td>';
    echo '</tr>';
    echo '<tr>';
	echo '<td width="70%" class="nav" valign="top" height="100%" aling="center">';
	    if ($subid) {
		echo '<iframe style="height:270px;width:95%" src="'.$base_uri.'src/tree_move_email.php?force_refresh=TRUE#'.$subid.'">';
	    } else {
		echo '<iframe style="height:270px;width:95%" src="'.$base_uri.'src/tree_move_email.php?force_refresh=TRUE">';
	    }
		echo codeHTML(_("Your browser doesn't support IFRAMES!"));
	    echo '</iframe>';
	echo '</td>';
	echo '<td class="nav" valign="top" aling="center" height="1%">';
	    echo addHidden('moveButton',_("OK"));
	    echo addButton(_("OK"), '', 'style="width:100%"','OnSubmitMove();','','',1,1);
	    echo '<br>';
	    if ($reload_tree_folder_on_action) {
		echo addButton(_("Close"), '', 'style="width:100%"','parent.opener.left.location.reload(); window.close();','','',1,1);
	    } else {
		echo addButton(_("Close"), '', 'style="width:100%"','window.close();','','',1,1);
	    }
	    echo '<br>';
	    echo addButton(_("New folder"), '', 'style="width:100%"','OnCreate();','','',1,1);
	echo '</td>';
    echo '</tr>';
echo '</table></form></body></html>';

?>